### Method

# Dex FutureSet get_value_at

#### Declaration [src]

    const GValue*
    dex_future_set_get_value_at (
      DexFutureSet* future_set,
      guint position,
      GError** error
    )

#### Description [src]

Gets the result from a `DexFuture` that is part of the `DexFutureSet`.

#### Parameters

`position`

  Type: `guint`

  The `DexFuture` position within the set.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GValue`

A `GValue` if successful; otherwise `NULL` and `error` is set.

The returned data is owned by the instance.